"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      form: {
        name: "",
        idcard: "",
        phone: ""
      },
      rules: {
        name: [
          {
            type: "string",
            required: true,
            message: "请输入姓名",
            trigger: ["blur", "change"]
          }
        ],
        idcard: [
          {
            type: "string",
            required: true,
            message: "请输入身份证号码",
            trigger: ["blur", "change"]
          }
        ],
        phone: [
          {
            type: "string",
            required: true,
            message: "请输入联系方式",
            trigger: ["blur", "change"]
          }
        ]
      }
    };
  },
  methods: {
    submit() {
      common_vendor.index.navigateTo({
        url: "/pages_subpack/successful/index"
      });
      this.$refs.form.validate().then((res) => {
        common_vendor.index.showToast({
          icon: "none",
          title: "校验通过"
        });
      }).catch((errors) => {
        common_vendor.index.showToast({
          icon: "none",
          title: "校验失败"
        });
      });
    }
  }
};
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_button2 + _easycom_uv_form2)();
}
const _easycom_uv_input = () => "../../uni_modules/uv-input/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../uni_modules/uv-form/components/uv-form-item/uv-form-item.js";
const _easycom_uv_button = () => "../../uni_modules/uv-button/components/uv-button/uv-button.js";
const _easycom_uv_form = () => "../../uni_modules/uv-form/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_button + _easycom_uv_form)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o(($event) => $data.form.name = $event),
    b: common_vendor.p({
      type: "text",
      placeholder: "请输入姓名",
      customStyle: "border-radius: 30px;margin-top:5px;background-color: #ffffff;padding:5px 20px;",
      border: "none",
      modelValue: $data.form.name
    }),
    c: common_vendor.p({
      label: "姓名",
      prop: "name"
    }),
    d: common_vendor.o(($event) => $data.form.idcard = $event),
    e: common_vendor.p({
      type: "text",
      placeholder: "请输入身份证号码",
      customStyle: "border-radius: 30px;margin-top:5px;background-color: #ffffff;padding:5px 20px;",
      border: "none",
      modelValue: $data.form.idcard
    }),
    f: common_vendor.p({
      label: "身份证号码",
      prop: "idcard"
    }),
    g: common_vendor.o(($event) => $data.form.phone = $event),
    h: common_vendor.p({
      type: "number",
      placeholder: "请输入联系方式",
      customStyle: "border-radius: 30px;margin-top:5px;background-color: #ffffff;padding:5px 20px;",
      border: "none",
      modelValue: $data.form.phone
    }),
    i: common_vendor.p({
      label: "联系方式",
      prop: "phone"
    }),
    j: common_assets._imports_0$6,
    k: common_assets._imports_0$6,
    l: common_vendor.o($options.submit),
    m: common_vendor.p({
      type: "primary",
      text: "申请",
      customStyle: "margin-top: 10px;border-color: #FF9F39;background-color: #FF9F39;border-radius: 30px;"
    }),
    n: common_vendor.sr("form", "462b301a-0"),
    o: common_vendor.p({
      labelPosition: "top",
      labelWidth: 200,
      model: $data.form,
      rules: $data.rules
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
